/*********************************************************************
  All ADuC7023 library code provided by ADI, including this file, is provided
 as is without warranty of any kind, either expressed or implied.
 You assume any and all risk from the use of this code.  It is the
 responsibility of the person integrating this code into an application
 to ensure that the resulting application performs as required and is safe.

 Author        : ADI - Apps            www.analog.com/ADuC7023

 Date          : February 2009

 File          : GPIO.c

 Hardware      : Applicable to ADuC7023 rev A later silicon
                 
 Description   : Blinks LED continuously
		
*********************************************************************/
#include <aduc7023.h>
unsigned int uiPLLTST = 0;
volatile unsigned int ucTest = 0;

void delay(int);
int main(void) 
{
	POWKEY1 = 0x01;					// Configure CPU Clock for 41.78MHz, CD=0
 	POWCON = 0x00;
 	POWKEY2 = 0xF4;	

	GP0DAT = 0x80000000;			//P0.7 as an output -- LED pin
	GP1DAT = 0x8000000;		 		//P1.3 as an output -- toggle pin

	while (1) 
	{
		GP0DAT ^= 0x00800000;		// Complement P0.7
		delay(60000);
		delay(60000);
		delay(60000);
		delay(60000);
		delay(60000);
		delay(60000);
	}				
}

void delay (int length) 
{
	while (length >=0)
	{
    	length--;
		GP1DAT ^= 0x0080000;		// Complement P1.3
	}
}
